package propellerbug;

import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author matthew stevenson
 */
public class Utils {
    private final static Logger theLogger = Logger.getLogger(Utils.class.getName());
    public static String bytesToString(byte[] bytes){
        String ret = "";
        for(byte b: bytes){
            ret += (char)b;
        }
        return ret;
    }

    public static void sleep(long msec){
        try{
            Thread.sleep(msec);
        }catch(InterruptedException ex){
            theLogger.log(Level.WARNING, "Thread sleep interrupted.", ex);
        }
    }

    public static int unsign(byte b){
        if(b < 0){
            return 256 + b;
        }
        return b;
    }
}
